Subject: bug#15986: df in current coreutils shows the device for loop mounts, not the file

From: Bob Proulx <[email-masked]>
Date: Fri, 29 Nov 2013 13:01:09 -0700

Philipp Thomas wrote:
> * Linda Walsh ([email-masked]) [20131129 07:40]:
> > I can think of 2 cases where the kernel displays the wrong information
> > concerning mounts.
> 
> The discuss this with the kernel maintainers! Coreutils is the wrong place
> for this discussion.

For this point I disagree.  Because coreutils often has to deal with
kernel (Linux and otherwise) problems.  There have been many
workarounds for kernel bugs in the userland code.  I might argue that
all of the glib overrides shouldn't exist in a perfect world.

Bob